Bug 1313496 - (CVE-2016-2150) CVE-2016-2150 spice: Host memory access from guest with invalid primary surface parameters
CVE-2016-2150 spice: Host memory access from guest with invalid primary surfa...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160606,repo...
: Security
Depends On: 1316491 1316492 1316493 1316495 1343135
Blocks: 1313499
  Show dependency treegraph
 
Reported: 2016-03-01 12:26 EST by Adam Mariš
Modified: 2017-03-21 06:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A memory access flaw was found in the way spice handled certain guests using crafted primary surface parameters. A user in a guest could use this flaw to read from and write to arbitrary memory locations on the host.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-09 01:24:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-01 12:26:03 EST
It was found that one malicious guest inside a virtual machine can take control of the corresponding Qemu process in the host using crafted primary surface parameters. This issue is similar to CVE-2015-5261, but it's using different path in the code.
Comment 4 Martin Prpič 2016-06-01 04:37:41 EDT
Acknowledgments:

Name: Frediano Ziglio (Red Hat)
Comment 5 Stefan Cornelius 2016-06-06 11:16:56 EDT
Created spice tracking bugs for this issue:

Affects: fedora-all [bug 1343135]
Comment 6 errata-xmlrpc 2016-06-06 11:55:31 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1205 https://access.redhat.com/errata/RHSA-2016:1205
Comment 7 errata-xmlrpc 2016-06-06 11:55:57 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1204 https://access.redhat.com/errata/RHSA-2016:1204

Note You need to log in before you can comment on or make changes to this bug.